import React, { useState } from 'react';
import ReactDom from 'react-dom';
import {Dropdown} from './Dropdown'


const options = [
  { value: 'goldfish', label: 'Goldfish' },
  { value: 'dog', label: 'Dog' },
];
const initialValue = 'dog';

const App = () => {
  const [
    selectedValue,
    setSelectedValue,
  ] = useState(initialValue);

  console.log(selectedValue);
  return (
    <div>
      <label for="pet-select">
        Choose a pet:
      </label>
      <Dropdown
        options={options}
        id="pet-select"
        selectedValue={selectedValue}
        onSelectedValueChange={setSelectedValue}
      />
    </div>
  );
};

const rootElement = document.getElementById(
  'root'
);
ReactDOM.render(<App />, rootElement);
